Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.dropboxmq.connections
Class XAConnectionImpl

    java.lang.Object
      net.sf.dropboxmq.connections.ConnectionImpl
          net.sf.dropboxmq.connections.XAConnectionImpl

All Implemented Interfaces:
  Connection, XAConnection

Direct Known Subclasses:
  XAQueueConnectionImpl, XATopicConnectionImpl

    public class XAConnectionImpl

extends ConnectionImpl
implements XAConnection

Created: 30 Jul 2006

Version:
  $Revision: 211 $, $Date: 2010-11-14 14:21:24 -0700 (Sun, 14 Nov 2010) $
Author:
  Dwayne Schultz

Field Summary

Fields inherited from class net.sf.dropboxmq.connections.ConnectionImpl
`JMS_PROVIDER_NAME, JMSX_DELIVERY_COUNT, JMSX_GROUP_ID, JMSX_GROUP_SEQ, PROVIDER_VERSION`

Constructor Summary
`XAConnectionImpl(ManagedConnectionImpl managedConnection, Configuration configuration)`

Method Summary
`Session` | `createSession(boolean transacted, int acknowledgeMode)` Creates a `Session` object.
`XASession` | `createXASession()` Creates an `XASession` object.

Methods inherited from class net.sf.dropboxmq.connections.ConnectionImpl
`addDurableSubscriptionName, addSession, checkClosed, close, createConnectionConsumer, createDurableConnectionConsumer, createNonXASession, getClientID, getConfiguration, getExceptionListener, getLocalClientID, getLock, getManagedConnection, getMetaData, newDropboxTransaction, removeDurableSubscriptionName, removeServerConsumer, removeSession, setClientID, setExceptionListener, start, stop, toObjectString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.jms.Connection
`close, createConnectionConsumer, createDurableConnectionConsumer, getClientID, getExceptionListener, getMetaData, setClientID, setExceptionListener, start, stop`

Constructor Detail

### XAConnectionImpl

    public XAConnectionImpl(ManagedConnectionImpl managedConnection,
                            Configuration configuration)
                     throws JMSException

Throws:
  `JMSException`

Method Detail

### createXASession

    public XASession createXASession()
                              throws JMSException

  Description copied from interface: `javax.jms.XAConnection`
  Creates an `XASession` object.

  Specified by:
    `createXASession` in interface `XAConnection`
  Returns:
    a newly created `XASession`
  Throws:
    `JMSException` - if the `XAConnection` object fails to create an `XASession` due to some internal error.

### createSession

    public Session createSession(boolean transacted,
                                 int acknowledgeMode)
                          throws JMSException

  Description copied from interface: `javax.jms.Connection`
  Creates a `Session` object.

  Specified by:
    `createSession` in interface `Connection`
  Specified by:
    `createSession` in interface `XAConnection`
  Overrides:
    `createSession` in class `ConnectionImpl`
  Parameters:
    `transacted` - indicates whether the session is transacted
    `acknowledgeMode` - indicates whether the consumer or the client will acknowledge any messages it receives; ignored if the session is transacted. Legal values are `Session.AUTO_ACKNOWLEDGE`, `Session.CLIENT_ACKNOWLEDGE`, and `Session.DUPS_OK_ACKNOWLEDGE`.
  Returns:
    a newly created session
  Throws:
    `JMSException` - if the `Connection` object fails to create a session due to some internal error or lack of support for the specific transaction and acknowledgement mode.
  See Also:
    `Session.AUTO_ACKNOWLEDGE`, `Session.CLIENT_ACKNOWLEDGE`, `Session.DUPS_OK_ACKNOWLEDGE`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD